## libkf5pimcommon 22.12.3

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
add_definitions(-DTRANSLATION_DOMAIN=\"libpimcommon\")

add_subdirectory(pimcommon)
add_subdirectory(pimcommonakonadi)
add_subdirectory(pimcommonautocorrection)

=== src/pimcommonakonadi/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5PimCommonAkonadi")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5PimCommonAkonadi_QCH
        FILE KF5PimCommonAkonadiQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5PimCommonAkonadiQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5PimCommonAkonadiConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PimCommonAkonadiConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )


ecm_setup_version(PROJECT VARIABLE_PREFIX PIMCOMMON
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/pimcommonakonadi_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PimCommonAkonadiConfigVersion.cmake"
    SOVERSION 5
    )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PimCommonAkonadiConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PimCommonAkonadiConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KF5PimCommonAkonadiTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5PimCommonAkonadiTargets.cmake NAMESPACE KF5::)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/pimcommonakonadi_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/PimCommonAkonadi/ COMPONENT Devel
    )





set(libpimcommonakonadi_SRCS)


ecm_qt_declare_logging_category(libpimcommonakonadi_SRCS HEADER pimcommonakonadi_debug.h IDENTIFIER PIMCOMMONAKONADI_LOG CATEGORY_NAME org.kde.pim.pimcommonakonadi
        DESCRIPTION "kdepim (pimcommonakonadi)"
        EXPORT PIMCOMMON
    )



add_library(KF5PimCommonAkonadi )
add_library(KF5::PimCommonAkonadi ALIAS KF5PimCommonAkonadi)

target_sources(KF5PimCommonAkonadi PRIVATE
    ${libpimcommonakonadi_SRCS}
    folderdialog/selectmulticollectionwidget.cpp
    folderdialog/selectmulticollectiondialog.cpp
    folderdialog/checkedcollectionwidget.cpp
    genericplugins/genericplugininterface.cpp
    genericplugins/plugininterface.cpp
    acl/aclentrydialog.cpp
    acl/aclmanager.cpp
    acl/aclutils.cpp
    acl/collectionaclpage.cpp
    acl/imapaclattribute.cpp
    acl/collectionaclwidget.cpp
    acl/acllistview.cpp
    acl/aclmodifyjob.cpp
    manageserversidesubscription/manageserversidesubscriptionjob.cpp
    widgets/annotationdialog.cpp
    ldap/ldapsearchdialog.cpp
    util/createresource.cpp
    util/imapresourcecapabilitiesmanager.cpp
    util/mailutil.cpp
   progresswidget/agentprogressmonitor.cpp
   progresswidget/progressmanagerakonadi.cpp
  collectionpage/collectiontypeutil.cpp
  collectionpage/attributeregistrar.cpp
  collectionpage/attributes/collectionannotationsattribute.cpp
  collectionpage/incidencesforwidget.cpp
  collectionpage/contenttypewidget.cpp
    addressline/completionorder/completionordereditor.cpp
    addressline/completionorder/completionorderwidget.cpp
    addressline/addresslineedit/addresseelineedit.cpp
    addressline/addresslineedit/addresseelineedit_p.cpp
    addressline/addresslineedit/addresseelineeditmanager.cpp
    addressline/addresslineedit/addresseelineeditldap.cpp
    addressline/addresslineedit/addresseelineeditakonadi.cpp
    addressline/addresslineedit/addresseelineeditbaloo.cpp
    addressline/addresslineedit/kmailcompletion.cpp
    addressline/addresslineedit/baloocompletionemail.cpp
    addressline/completionconfiguredialog/completionconfiguredialog.cpp
    addressline/addresslineedit/addresseelineeditutil.cpp
    addressline/recentaddress/recentaddresswidget.cpp
    addressline/recentaddress/recentaddresses.cpp
    addressline/plugins/addressesslineeditabstractplugin.cpp
    addressline/plugins/addressesslineeditpluginmanager.cpp
    progresswidget/agentprogressmonitor.h
    progresswidget/progressmanagerakonadi.h
    acl/collectionaclpage.h
    acl/aclutils_p.h
    acl/acllistview.h
    acl/aclentrydialog_p.h
    acl/imapaclattribute.h
    acl/aclmodifyjob.h
    acl/aclmanager.h
    acl/collectionaclwidget.h
    manageserversidesubscription/manageserversidesubscriptionjob.h
    ldap/ldapsearchdialog.h
    addressline/completionorder/completionordereditor.h
    addressline/completionorder/completionorderwidget.h
    addressline/recentaddress/recentaddresses.h
    addressline/recentaddress/recentaddresswidget.h
    addressline/completionconfiguredialog/completionconfiguredialog.h
    addressline/plugins/addressesslineeditabstractplugin.h
    addressline/plugins/addressesslineeditpluginmanager.h
    addressline/addresslineedit/addresseelineedit_p.h
    addressline/addresslineedit/addresseelineeditldap.h
    addressline/addresslineedit/addresseelineeditbaloo.h
    addressline/addresslineedit/addresseelineedit.h
    addressline/addresslineedit/addresseelineeditutil.h
    addressline/addresslineedit/baloocompletionemail.h
    addressline/addresslineedit/addresseelineeditakonadi.h
    addressline/addresslineedit/addresseelineeditmanager.h
    addressline/addresslineedit/kmailcompletion.h
    collectionpage/contenttypewidget.h
    collectionpage/collectiontypeutil.h
    collectionpage/incidencesforwidget.h
    collectionpage/attributes/collectionannotationsattribute.h
    folderdialog/checkedcollectionwidget.h
    folderdialog/selectmulticollectiondialog.h
    folderdialog/selectmulticollectionwidget.h
    widgets/annotationdialog.h
    pimcommonakonadi_private_export.h
    util/mailutil.h
    util/imapresourcecapabilitiesmanager.h
    util/createresource.h
    genericplugins/genericplugininterface.h
    genericplugins/plugininterface.h
    )

if (NOT FORCE_DISABLE_AKONADI_SEARCH)
target_sources(KF5PimCommonAkonadi PRIVATE
    addressline/blacklistbaloocompletion/blacklistbalooemaillist.cpp
    addressline/blacklistbaloocompletion/blacklistbalooemailutil.cpp
    addressline/blacklistbaloocompletion/blacklistbalooemailcompletionwidget.cpp
    addressline/blacklistbaloocompletion/blacklistbalooemailwarning.cpp
    addressline/blacklistbaloocompletion/blacklistbalooemailsearchjob.cpp
    addressline/blacklistbaloocompletion/blacklistbalooemailcompletionwidget.h
    addressline/blacklistbaloocompletion/blacklistbalooemailwarning.h
    addressline/blacklistbaloocompletion/blacklistbalooemailutil.h
    addressline/blacklistbaloocompletion/blacklistbalooemailsearchjob.h
    addressline/blacklistbaloocompletion/blacklistbalooemaillist.h
    )
endif()


if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KF5PimCommonAkonadi PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header(KF5PimCommonAkonadi BASE_NAME pimcommonakonadi)

target_link_libraries(KF5PimCommonAkonadi
    PUBLIC
    KF5::PimCommon
    KF5::AkonadiCore
    KF5::AkonadiWidgets
    KF5::Contacts
    KF5::AkonadiContact
    KF5::KIOCore
    KF5::ConfigWidgets
    KF5::IMAP
    KF5::Libkdepim
    PRIVATE
    KF5::I18n
    KF5::Codecs
    KF5::PimTextEdit
    KF5::XmlGui
    KF5::PimTextEdit
    KF5::KIOWidgets
    KF5::KCMUtils
    KF5::Ldap
    KF5::ItemViews
    )

if (NOT FORCE_DISABLE_AKONADI_SEARCH)
    target_link_libraries(KF5PimCommonAkonadi PRIVATE KF5::AkonadiSearchPIM)
endif()


target_include_directories(KF5PimCommonAkonadi INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/PimCommonAkonadi/>")

target_include_directories(KF5PimCommonAkonadi PUBLIC "$<BUILD_INTERFACE:${pimcommon_SOURCE_DIR}/src;${pimcommon_BINARY_DIR}/src>")

set_target_properties(KF5PimCommonAkonadi PROPERTIES
    VERSION ${PIMCOMMON_VERSION}
    SOVERSION ${PIMCOMMON_SOVERSION}
    EXPORT_NAME PimCommonAkonadi
    )


install(TARGETS
    KF5PimCommonAkonadi
    EXPORT KF5PimCommonAkonadiTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS}
    )

if (BUILD_TESTING)
    add_subdirectory(acl/autotests)
    add_subdirectory(folderdialog/tests/)
    add_subdirectory(collectionpage/autotests/)
    add_subdirectory(ldap/tests)
    add_subdirectory(addressline/tests)
    add_subdirectory(addressline/autotests)
    if (NOT FORCE_DISABLE_AKONADI_SEARCH)
       add_subdirectory(addressline/blacklistbaloocompletion/autotests)
    endif()       
endif()



if(BUILD_DESIGNERPLUGIN)
        add_subdirectory(designer)
endif()

ecm_generate_headers(PimCommonAkonadi_Camelcaseaddressline_HEADERS
    HEADER_NAMES
    AddresseeLineEdit
    REQUIRED_HEADERS PimCommonAkonadi_addressline_HEADERS
    PREFIX PimCommonAkonadi
    RELATIVE addressline/addresslineedit/
    )

ecm_generate_headers(PimCommonAkonadi_Camelcaserecentaddress_HEADERS
    HEADER_NAMES
    RecentAddresses
    REQUIRED_HEADERS PimCommonAkonadi_recentaddress_HEADERS
    PREFIX PimCommonAkonadi
    RELATIVE addressline/recentaddress/
    )

ecm_generate_headers(PimCommonAkonadi_Camelcasecompletionorder_HEADERS
    HEADER_NAMES
    CompletionOrderEditor
    REQUIRED_HEADERS PimCommonAkonadi_completionorder_HEADERS
    PREFIX PimCommonAkonadi
    RELATIVE addressline/completionorder
    )

ecm_generate_headers(PimCommonAkonadi_Camelcasecompletionconfiguredialog_HEADERS
    HEADER_NAMES
    CompletionConfigureDialog
    REQUIRED_HEADERS PimCommonAkonadi_completionconfiguredialog_HEADERS
    PREFIX PimCommonAkonadi
    RELATIVE addressline/completionconfiguredialog/
    )



ecm_generate_headers(PimCommonAkonadi_Camelcasecollectionpage_HEADERS
  HEADER_NAMES
  IncidencesForWidget
  CollectionTypeUtil
  ContentTypeWidget
  REQUIRED_HEADERS PimCommonAkonadi_collectionpage_HEADERS
  PREFIX PimCommonAkonadi
  RELATIVE collectionpage
)

ecm_generate_headers(PimCommonAkonadi_Camelcasecollectionpageattributes_HEADERS
  HEADER_NAMES
  CollectionAnnotationsAttribute
  REQUIRED_HEADERS PimCommonAkonadi_collectionpageattributes_HEADERS
  PREFIX PimCommonAkonadi
  RELATIVE collectionpage/attributes
)


ecm_generate_headers(PimCommonAkonadi_CamelCaseUtil_HEADERS
    HEADER_NAMES
    CreateResource
    ImapResourceCapabilitiesManager
    MailUtil
    REQUIRED_HEADERS PimCommonAkonadi_Util_HEADERS
    PREFIX PimCommonAkonadi
    RELATIVE util
    )

ecm_generate_headers(PimCommonAkonadi_Camelcaseprogresswidget_HEADERS
    HEADER_NAMES
    ProgressManagerAkonadi
    REQUIRED_HEADERS PimCommonAkonadi_progresswidget_HEADERS
    PREFIX PimCommonAkonadi
    RELATIVE progresswidget
    )

ecm_generate_headers(PimCommonAkonadi_Camelcasewidgets_HEADERS
    HEADER_NAMES
    AnnotationDialog
    REQUIRED_HEADERS PimCommonAkonadi_widgets_HEADERS
    PREFIX PimCommonAkonadi
    RELATIVE widgets
    )

ecm_generate_headers(PimCommonAkonadi_Camelcaseldap_HEADERS
    HEADER_NAMES
    LdapSearchDialog
    REQUIRED_HEADERS PimCommonAkonadi_ldap_HEADERS
    PREFIX PimCommonAkonadi
    RELATIVE ldap
    )

ecm_generate_headers(PimCommonAkonadi_Camelcasemanagerserversidesubscription_HEADERS
    HEADER_NAMES
    ManageServerSideSubscriptionJob
    REQUIRED_HEADERS PimCommonAkonadi_managerserversidesubscription_HEADERS
    PREFIX PimCommonAkonadi
    RELATIVE manageserversidesubscription
    )

ecm_generate_headers(PimCommonAkonadi_Camelcaseacl_HEADERS
    HEADER_NAMES
    CollectionAclPage
    ImapAclAttribute
    REQUIRED_HEADERS PimCommonAkonadi_acl_HEADERS
    PREFIX PimCommonAkonadi
    RELATIVE acl
    )

ecm_generate_headers(PimCommonAkonadi_Camelcasefolderdialog_HEADERS
    HEADER_NAMES
    CheckedCollectionWidget
    SelectMultiCollectionDialog
    REQUIRED_HEADERS PimCommonAkonadi_folderdialog_HEADERS
    PREFIX PimCommonAkonadi
    RELATIVE folderdialog
    )

ecm_generate_headers(PimCommonAkonadi_CamelCasegenericplugins_HEADERS
    HEADER_NAMES
    PluginInterface
    GenericPluginInterface
    REQUIRED_HEADERS PimCommonAkonadi_genericplugins_HEADERS
    PREFIX PimCommonAkonadi
    RELATIVE genericplugins
    )

ecm_generate_pri_file(BASE_NAME PimCommonAkonadi
    LIB_NAME KF5PimCommonAkonadi

=== src/pimcommonautocorrection/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5PimCommonAutoCorrection")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5PimCommonAutoCorrection_QCH
        FILE KF5PimCommonAutoCorrectionQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5PimCommonAutoCorrectionQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5PimCommonAutoCorrectionConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PimCommonAutoCorrectionConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )


ecm_setup_version(PROJECT VARIABLE_PREFIX PIMCOMMON
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/pimcommonautocorrection_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PimCommonAutoCorrectionConfigVersion.cmake"
    SOVERSION 5
    )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PimCommonAutoCorrectionConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PimCommonAutoCorrectionConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KF5PimCommonAutoCorrectionTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5PimCommonAutoCorrectionTargets.cmake NAMESPACE KF5::)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/pimcommonautocorrection_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/PimCommonAutoCorrection/ COMPONENT Devel
    )

kconfig_add_kcfg_files(pimcommonautocorrection_settings_SRCS
    settings/pimcommonautocorrectionsetting_base.kcfgc
    )

add_library(KF5PimCommonAutoCorrection )
add_library(KF5::PimCommonAutoCorrection ALIAS KF5PimCommonAutoCorrection)
ki18n_wrap_ui(KF5PimCommonAutoCorrection
    autocorrection/ui/autocorrectionwidget.ui
    )
ecm_qt_declare_logging_category(KF5PimCommonAutoCorrection HEADER pimcommonautocorrection_debug.h
    IDENTIFIER PIMCOMMONAUTOCORRECTION_LOG CATEGORY_NAME org.kde.pim.pimcommonautocorrection
        DESCRIPTION "kdepim (pimcommon AutoCorrection)"
        EXPORT PIMCOMMON
    )

ecm_qt_declare_logging_category(KF5PimCommonAutoCorrection HEADER pimcommonautocorrectionautocorrect_debug.h
    IDENTIFIER PIMCOMMONAUTOCORRECTION_AUTOCORRECT_LOG CATEGORY_NAME org.kde.pim.pimcommonautocorrection.autocorrect
        DESCRIPTION "kdepim (pimcommon AutoCorrection autocorrect text)"
        EXPORT PIMCOMMON
    )

target_sources(KF5PimCommonAutoCorrection PRIVATE
    ${pimcommonautocorrection_settings_SRCS}
    autocorrection/autocorrection.cpp
    autocorrection/autocorrection.h
    autocorrection/autocorrectionutils.h
    autocorrection/autocorrectionutils.cpp
    autocorrection/autocorrectionsettings.h
    autocorrection/autocorrectionsettings.cpp

    autocorrection/import/importlibreofficeautocorrection.cpp
    autocorrection/import/importkmailautocorrection.cpp
    autocorrection/import/importabstractautocorrection.cpp
    autocorrection/import/importkmailautocorrection.h
    autocorrection/import/importlibreofficeautocorrection.h
    autocorrection/import/importabstractautocorrection.h

    autocorrection/export/exportabstractautocorrection.h
    autocorrection/export/exportabstractautocorrection.cpp
    autocorrection/export/exportlibreofficeautocorrection.h
    autocorrection/export/exportlibreofficeautocorrection.cpp

    autocorrection/widgets/autocorrectionwidget.cpp
    autocorrection/widgets/autocorrectionlistwidget.cpp
    autocorrection/widgets/autocorrectiontreewidget.cpp
    autocorrection/widgets/autocorrectionlanguage.cpp
    autocorrection/widgets/autocorrectionlistwidget.h
    autocorrection/widgets/autocorrectionlanguage.h
    autocorrection/widgets/autocorrectionwidget.h
    autocorrection/widgets/autocorrectiontreewidget.h
    autocorrection/widgets/selectspecialchardialog.h
    autocorrection/widgets/selectspecialchardialog.cpp
    autocorrection/widgets/autocorrectiontextedit.cpp
    autocorrection/widgets/autocorrectiontextedit.h
    autocorrection/widgets/autocorrectionlineedit.cpp
    autocorrection/widgets/autocorrectionlineedit.h
    settings/pimcommonautocorrectionsettings.h
    settings/pimcommonautocorrectionsettings.cpp

    )

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KF5PimCommonAutoCorrection PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(KF5PimCommonAutoCorrection BASE_NAME pimcommonautocorrection)


target_link_libraries(KF5PimCommonAutoCorrection
    PUBLIC
    Qt::Gui
    Qt::Widgets
    KF5::ConfigWidgets
    PRIVATE
    KF5::I18n
    KF5::Libkdepim
    KF5::Archive
    )

target_include_directories(KF5PimCommonAutoCorrection INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/PimCommonAutoCorrection/>")

target_include_directories(KF5PimCommonAutoCorrection PUBLIC "$<BUILD_INTERFACE:${pimcommon_SOURCE_DIR}/src;${pimcommon_BINARY_DIR}/src>")

set_target_properties(KF5PimCommonAutoCorrection PROPERTIES
    VERSION ${PIMCOMMON_VERSION}
    SOVERSION ${PIMCOMMON_SOVERSION}
    EXPORT_NAME PimCommonAutoCorrection
    )

install(TARGETS
    KF5PimCommonAutoCorrection
    EXPORT KF5PimCommonAutoCorrectionTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS}
    )

if (BUILD_TESTING)
    add_subdirectory(autocorrection/autotests)
    add_subdirectory(autocorrection/tests)
endif()


ecm_generate_headers(PimCommon_Camelcaseautocorrectionwidgets_HEADERS
    HEADER_NAMES
    AutoCorrectionWidget
    AutoCorrectionLanguage
    SelectSpecialCharDialog
    AutoCorrectionTextEdit
    REQUIRED_HEADERS PimCommon_autocorrectionwidgets_HEADERS
    PREFIX PimCommonAutoCorrection
    RELATIVE autocorrection/widgets/
    )

ecm_generate_headers(PimCommon_Camelcaseautocorrection_HEADERS
    HEADER_NAMES
    AutoCorrection
    AutoCorrectionSettings
    AutoCorrectionUtils

    REQUIRED_HEADERS PimCommon_autocorrection_HEADERS
    PREFIX PimCommonAutoCorrection
    RELATIVE autocorrection/
    )

ecm_generate_headers(PimCommon_Camelcasesettings_HEADERS
    HEADER_NAMES
    PimCommonAutoCorrectionSettings
    REQUIRED_HEADERS PimCommon_settings_HEADERS
    PREFIX PimCommonAutoCorrection
    RELATIVE settings
    )

ecm_generate_pri_file(BASE_NAME PimCommonAutoCorrection
    LIB_NAME KF5PimCommonAutoCorrection
    DEPS "" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/PimCommonAutoCorrection
    )


install(FILES
    ${PimCommon_Camelcaseautocorrection_HEADERS}
    ${PimCommon_Camelcaseautocorrectionwidgets_HEADERS}
    ${PimCommon_Camelcasesettings_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/PimCommonAutoCorrection/PimCommonAutoCorrection
    COMPONENT Devel
    )

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/pimcommonautocorrection_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/pimcommonautocorrectionsetting_base.h
    ${PimCommon_HEADERS}
    ${PimCommon_autocorrection_HEADERS}
    ${PimCommon_autocorrectionwidgets_HEADERS}
    ${PimCommon_settings_HEADERS}

    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/PimCommonAutoCorrection/pimcommonautocorrection
    COMPONENT Devel
    )

install(FILES
    ${PRI_FILENAME}
    DESTINATION ${ECM_MKSPECS_INSTALL_DIR})


if (BUILD_QCH)
    ecm_add_qch(
        KF5PimCommonAutoCorrection_QCH
        NAME KF5PimCommonAutoCorrection
        BASE_NAME KF5PimCommonAutoCorrection
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${PimCommon_autocorrection_HEADERS}
        ${PimCommon_autocorrectionwidgets_HEADERS}
        LINK_QCHS
            Qt5Core_QCH
            Qt5Gui_QCH
            Qt5Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            PIMCOMMON_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== src/pimcommon/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
macro(add_pimcommon_regularexpression_unittest _source)
    get_filename_component( _name ${_source} NAME_WE )
    ecm_add_test(${_source} ${_name}.h
        TEST_NAME ${_name}
        NAME_PREFIX "pimcommon-regularexpression-"
        LINK_LIBRARIES Qt::Test Qt::Gui KF5::PimCommon
    )
endmacro()

add_pimcommon_regularexpression_unittest(regularexpressiontests.cpp)

=== src/pimcommon/designer/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
include(ECMAddQtDesignerPlugin)
ecm_qtdesignerplugin_widget(PimCommon::SimpleStringListEditor
    INCLUDE_FILE "PimCommon/SimpleStringListEditor"
    TOOLTIP "A listbox with add/remove/move up/down button (KDE-PIM)"
    WHATSTHIS "A listbox which lets organize list order."
    GROUP "Input (KDE-PIM)"
    )
ecm_qtdesignerplugin_widget(PimCommon::TranslatorWidget
    INCLUDE_FILE "PimCommon/TranslatorWidget"
    TOOLTIP "A widget to make translate string (KDE-PIM)"
    WHATSTHIS "A widget to make translate string."
    GROUP "Input (KDE-PIM)"
    )

ecm_add_qtdesignerplugin(pimcommonwidgets
    NAME PimCommonWidgets
    OUTPUT_NAME pimcommonwidgets
    WIDGETS
    PimCommon::SimpleStringListEditor
    PimCommon::TranslatorWidget
    LINK_LIBRARIES
    KF5::PimCommon KF5::PimTextEdit
    INSTALL_DESTINATION "${KDE_INSTALL_QTPLUGINDIR}/designer"
    COMPONENT Devel
    )

=== src/pimcommon/autocorrection/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
macro(add_pimcommon_autocorrect_unittest _source)
  set(_test ${_source})
  get_filename_component(_name ${_source} NAME_WE)
  add_executable( ${_name} ${_test} ${_name}.h)
  add_test(NAME ${_name} COMMAND ${_name} )
  ecm_mark_as_test(pimcommon-autocorrection-${_name})
  target_link_libraries(${_name}  Qt::Test KF5::PimCommonAutoCorrection KF5::PimCommon)
endmacro()

add_pimcommon_autocorrect_unittest(lineeditwithautocorrectiontest.cpp)

=== src/pimcommon/autocorrection/tests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
add_executable(autocorrection_gui autocorrection_gui.cpp)
target_link_libraries(autocorrection_gui
  KF5::KIOCore
  KF5::PimCommonAutoCorrection
  KF5::PimCommon
  KF5::I18n
)

=== src/pimcommon/configureplugins/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
add_executable( configurepluginswidgettest configurepluginswidgettest.cpp configurepluginswidgettest.h)
add_test(NAME configurepluginswidgettest COMMAND configurepluginswidgettest )
ecm_mark_as_test(kmail-configurepluginswidgettest)
target_link_libraries( configurepluginswidgettest Qt::Test KF5::I18n Qt::Widgets
    KF5::ConfigCore KF5::TextWidgets KF5::WidgetsAddons KF5::PimCommon)


add_executable( configurepluginslistwidgettest configurepluginslistwidgettest.cpp configurepluginslistwidgettest.h)
add_test(NAME configurepluginslistwidgettest COMMAND configurepluginslistwidgettest )
ecm_mark_as_test(kmail-configurepluginslistwidgettest)
target_link_libraries( configurepluginslistwidgettest Qt::Test KF5::I18n Qt::Widgets
    KF5::ConfigCore KF5::TextWidgets KF5::WidgetsAddons KF5::PimCommon KF5::ItemViews)

=== src/pimcommon/migration/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
if (QT_MAJOR_VERSION STREQUAL "5")
    add_definitions(-DMIGRATION_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")

    macro(add_pimcommon_migration_unittest _source)
        get_filename_component(_name ${_source} NAME_WE)
        ecm_add_test(${_source} ${_name}.h
            TEST_NAME ${_name}
            NAME_PREFIX "pimcommon-migration-"
            LINK_LIBRARIES Qt::Test KF5::CoreAddons KF5::ConfigCore KF5::PimCommon
        )
endmacro()

add_pimcommon_migration_unittest(migrateapplicationfilestest.cpp)
add_pimcommon_migration_unittest(migratefileinfotest.cpp)
else()
    MESSAGE(STATUS "Need to remove migrate tests in qt6")
endif()

=== src/pimcommon/translator/tests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
add_executable(translator_gui translator_gui.cpp)
target_link_libraries(translator_gui
  KF5::PimCommon KF5::PimTextEdit KF5::I18n
)

=== src/pimcommon/widgets/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
macro(add_pimcommon_widget_unittest _source)
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source} ${_name}.h
        TEST_NAME ${_name}
        NAME_PREFIX "pimcommon-widget-"
        LINK_LIBRARIES Qt::Test
        Qt::Widgets
        KF5::PimCommon
    )
endmacro()
add_pimcommon_widget_unittest(kactionmenuchangecasetest.cpp)
add_pimcommon_widget_unittest(lineeditwithcompleterngtest.cpp)
add_pimcommon_widget_unittest(purposemenuwidgettest.cpp)

=== src/pimcommon/widgets/tests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
######
add_executable(testspellchecklineedit testspellchecklineedit.cpp)
ecm_mark_as_test(testspellchecklineedit)

target_link_libraries(testspellchecklineedit KF5::PimCommon KF5::PimTextEdit KF5::I18n)
######
add_executable(customtoolswidgetng_gui customtoolswidgetng_gui.cpp)
target_link_libraries(customtoolswidgetng_gui
  KF5::PimCommon
  KF5::XmlGui
  KF5::I18n
)

=== debian/changelog ===
libkf5pimcommon (4:22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:32:27 +0100

libkf5pimcommon (4:22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:26:34 +0100

=== debian/control ===
Source: libkf5pimcommon
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.99.0~),
               libkf5akonadi-dev (>= 4:22.12.3~),
               libkf5akonadicontact-dev (>= 4:22.12.3~),
               libkf5akonadisearch-dev (>= 4:22.12.3~),
               libkf5archive-dev (>= 5.99.0~),
               libkf5codecs-dev (>= 5.99.0~),
               libkf5config-dev (>= 5.99.0~),
               libkf5configwidgets-dev (>= 5.99.0~),
               libkf5contacts-dev (>= 5:5.99.0~),
               libkf5coreaddons-dev (>= 5.99.0~),
               libkf5i18n-dev (>= 5.99.0~),
               libkf5imap-dev (>= 22.12.3~),
               libkf5itemmodels-dev (>= 5.99.0~),
               libkf5jobwidgets-dev (>= 5.99.0~),
               libkf5kcmutils-dev (>= 5.99.0~),
               libkf5kio-dev (>= 5.99.0~),
               libkf5ldap-dev (>= 22.12.3~),
               libkf5libkdepim-dev (>= 4:22.12.3~),
               libkf5newstuff-dev (>= 5.99.0~),
               libkf5pimtextedit-dev (>= 22.12.3~),
               libkf5purpose-dev (>= 5.99.0~),
               libkf5service-dev (>= 5.99.0~),
               libkf5widgetsaddons-dev (>= 5.99.0~),
               libkf5xmlgui-dev (>= 5.99.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.4.0~),
               xauth,
               xsltproc,
               xvfb,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/pim/pimcommon
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/pimcommon
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/pimcommon.git
Rules-Requires-Root: no

Package: libkf5pimcommon-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Common library for KDE PIM - data files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the data files used by the library.

Package: libkf5pimcommon-dev
Section: libdevel
Architecture: any
Depends: libkf5akonadi-dev (>= 4:22.12.3~),
         libkf5akonadicontact-dev (>= 4:22.12.3~),
         libkf5config-dev (>= 5.99.0~),
         libkf5contacts-dev (>= 5:5.99.0~),
         libkf5imap-dev (>= 22.12.3~),
         libkf5pimcommon5abi2 (= ${binary:Version}),
         libkf5pimcommonakonadi5abi1 (= ${binary:Version}),
         libkf5pimcommonautocorrection5 (= ${binary:Version}),
         libkf5pimtextedit-dev (>= 22.12.3~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for KDE PIM - devel files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the development files.

Package: libkf5pimcommon-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Common library for KDE PIM - plugins
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the plugins distributed with the library.

Package: libkf5pimcommon5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5PimCommon
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Common library for KDE PIM
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the shared libraries.
Provides: ${ABI:VirtualPackage},

Package: libkf5pimcommonakonadi5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5PimCommonAkonadi
Architecture: any
Multi-Arch: same
Depends: libkf5pimcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for KDE PIM Akonadi
 This library provides the common parts used across different KDE PIM Akonadi
 components.
 .
 This package provides the shared libraries.
Provides: ${ABI:VirtualPackage},

Package: libkf5pimcommonautocorrection5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Common library for KDE PIM Autocorrection
 This library provides the common parts used across different KDE PIM
 Autocorrection components.
 .
 This package provides the shared libraries.
Provides: ${ABI:VirtualPackage},

## libkf5pimcommon 23.08.0

=== debian/changelog ===
libkf5pimcommon (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:02:43 +0100

libkf5pimcommon (4:23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Drop enable_debianabimanager.diff
  * Rename binary packages:
    - libkf5pimcommon5abi3 -> libkpim5pimcommon5
    - libkf5pimcommonakonadi5 -> libkpim5pimcommonakonadi5
  * Update installed files

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:42:08 +0100

libkf5pimcommon (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:58:48 +0100

libkf5pimcommon (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Add libkf5textaddons-dev to Build-Depends
  * Remove no longer needed packages:
    - libkf5pimcommon-plugins
    - libkf5pimcommonautocorrection5
  * Install Qt designer plugins in -dev package
  * Sync debian/rules with debian, provide virtual ABI package
  * Remove symbols file, no longer used
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 13:01:35 +0100

libkf5pimcommon (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:46:54 +0000

libkf5pimcommon (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:31:03 -0600

libkf5pimcommon (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:28:07 +0000

libkf5pimcommon (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:18:52 +0000

libkf5pimcommon (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:15:03 +0000

libkf5pimcommon (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update symbols.
  * New library package libkf5pimcommonautocorrection5

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:41:32 +0000

libkf5pimcommon (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:17:44 +0000

=== debian/control ===
Source: libkf5pimcommon
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.91.0~),
               libgrantlee5-dev (>= 5.0~),
               libkf5akonadi-dev (>= 4:23.08.0~),
               libkf5akonadicontact-dev (>= 4:23.08.0~),
               libkf5akonadisearch-dev (>= 4:23.08.0~),
               libkf5archive-dev (>= 5.91.0~),
               libkf5codecs-dev (>= 5.91.0~),
               libkf5config-dev (>= 5.91.0~),
               libkf5configwidgets-dev (>= 5.91.0~),
               libkf5contacts-dev (>= 5:5.91.0~),
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5imap-dev (>= 23.08.0~),
               libkf5itemmodels-dev (>= 5.91.0~),
               libkf5jobwidgets-dev (>= 5.91.0~),
               libkf5kcmutils-dev (>= 5.91.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.91.0~),
               libkf5ldap-dev (>= 23.08.0~),
               libkf5libkdepim-dev (>= 4:23.08.0~),
               libkf5newstuff-dev (>= 5.91.0~),
               libkf5pimtextedit-dev (>= 23.08.0~),
               libkf5purpose-dev (>= 5.91.0~),
               libkf5service-dev (>= 5.91.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5textaddons-dev,
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.91.0~),
               libkf5xmlgui-dev (>= 5.91.0~),
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.4.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               xsltproc,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pimcommon
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pimcommon

Package: libkf5pimcommon-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: storageservicemanager (<= 4:16.04), ${kde-l10n:all}
Replaces: storageservicemanager (<= 4:16.04), ${kde-l10n:all}
Description: Common library for KDE PIM - data files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the data files used by the library.

Package: libkf5pimcommon-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:23.08.0~),
         libkf5akonadicontact-dev (>= 4:23.08.0~),
         libkf5config-dev (>= 5.91.0~),
         libkf5contacts-dev (>= 5:5.91.0~),
         libkf5imap-dev (>= 23.08.0~),
         libkf5pimtextedit-dev (>= 23.08.0~),
         libkf5textwidgets-dev (>= 5.31.0~),
         libkpim5pimcommon5 (= ${binary:Version}),
         libkpim5pimcommonakonadi5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for KDE PIM - devel files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the development files.

Package: libkpim5pimcommon5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: ${ABI:VirtualPackage},
Description: Common library for KDE PIM
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the shared libraries.

Package: libkpim5pimcommonakonadi5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: ${ABI:VirtualPackage},
Description: Common library for KDE PIM Akonadi
 This library provides the common parts used across different KDE PIM Akonadi
 components.
 .
 This package provides the shared libraries.

## libkf5pimcommon 23.08.1

=== debian/changelog ===
libkf5pimcommon (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:07:49 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                debhelper (>= 11),
                extra-cmake-modules (>= 5.91.0~),
                libgrantlee5-dev (>= 5.0~),
-               libkf5akonadi-dev (>= 4:23.08.0~),
-               libkf5akonadicontact-dev (>= 4:23.08.0~),
-               libkf5akonadisearch-dev (>= 4:23.08.0~),
+               libkf5akonadi-dev (>= 4:23.08.1~),
+               libkf5akonadicontact-dev (>= 4:23.08.1~),
+               libkf5akonadisearch-dev (>= 4:23.08.1~),
                libkf5archive-dev (>= 5.91.0~),
                libkf5codecs-dev (>= 5.91.0~),
                libkf5config-dev (>= 5.91.0~),
@@ -19,16 +19,16 @@
                libkf5coreaddons-dev (>= 5.91.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.91.0~),
-               libkf5imap-dev (>= 23.08.0~),
+               libkf5imap-dev (>= 23.08.1~),
                libkf5itemmodels-dev (>= 5.91.0~),
                libkf5jobwidgets-dev (>= 5.91.0~),
                libkf5kcmutils-dev (>= 5.91.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.91.0~),
-               libkf5ldap-dev (>= 23.08.0~),
-               libkf5libkdepim-dev (>= 4:23.08.0~),
+               libkf5ldap-dev (>= 23.08.1~),
+               libkf5libkdepim-dev (>= 4:23.08.1~),
                libkf5newstuff-dev (>= 5.91.0~),
-               libkf5pimtextedit-dev (>= 23.08.0~),
+               libkf5pimtextedit-dev (>= 23.08.1~),
                libkf5purpose-dev (>= 5.91.0~),
                libkf5service-dev (>= 5.91.0~),
                libkf5sonnet-dev (>= 5.31.0~),
@@ -66,12 +66,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:23.08.0~),
-         libkf5akonadicontact-dev (>= 4:23.08.0~),
+Depends: libkf5akonadi-dev (>= 4:23.08.1~),
+         libkf5akonadicontact-dev (>= 4:23.08.1~),
          libkf5config-dev (>= 5.91.0~),
          libkf5contacts-dev (>= 5:5.91.0~),
-         libkf5imap-dev (>= 23.08.0~),
-         libkf5pimtextedit-dev (>= 23.08.0~),
+         libkf5imap-dev (>= 23.08.1~),
+         libkf5pimtextedit-dev (>= 23.08.1~),
          libkf5textwidgets-dev (>= 5.31.0~),
          libkpim5pimcommon5 (= ${binary:Version}),
          libkpim5pimcommonakonadi5 (= ${binary:Version}),

## libkf5pimcommon 23.08.4

=== debian/changelog ===
libkf5pimcommon (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:24:01 +0000

libkf5pimcommon (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:44:29 +0000

libkf5pimcommon (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:40:45 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                debhelper (>= 11),
                extra-cmake-modules (>= 5.91.0~),
                libgrantlee5-dev (>= 5.0~),
-               libkf5akonadi-dev (>= 4:23.08.1~),
-               libkf5akonadicontact-dev (>= 4:23.08.1~),
-               libkf5akonadisearch-dev (>= 4:23.08.1~),
+               libkf5akonadi-dev (>= 4:23.08.4~),
+               libkf5akonadicontact-dev (>= 4:23.08.4~),
+               libkf5akonadisearch-dev (>= 4:23.08.4~),
                libkf5archive-dev (>= 5.91.0~),
                libkf5codecs-dev (>= 5.91.0~),
                libkf5config-dev (>= 5.91.0~),
@@ -19,16 +19,16 @@
                libkf5coreaddons-dev (>= 5.91.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.91.0~),
-               libkf5imap-dev (>= 23.08.1~),
+               libkf5imap-dev (>= 23.08.4~),
                libkf5itemmodels-dev (>= 5.91.0~),
                libkf5jobwidgets-dev (>= 5.91.0~),
                libkf5kcmutils-dev (>= 5.91.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.91.0~),
-               libkf5ldap-dev (>= 23.08.1~),
-               libkf5libkdepim-dev (>= 4:23.08.1~),
+               libkf5ldap-dev (>= 23.08.4~),
+               libkf5libkdepim-dev (>= 4:23.08.4~),
                libkf5newstuff-dev (>= 5.91.0~),
-               libkf5pimtextedit-dev (>= 23.08.1~),
+               libkf5pimtextedit-dev (>= 23.08.4~),
                libkf5purpose-dev (>= 5.91.0~),
                libkf5service-dev (>= 5.91.0~),
                libkf5sonnet-dev (>= 5.31.0~),
@@ -66,12 +66,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:23.08.1~),
-         libkf5akonadicontact-dev (>= 4:23.08.1~),
+Depends: libkf5akonadi-dev (>= 4:23.08.4~),
+         libkf5akonadicontact-dev (>= 4:23.08.4~),
          libkf5config-dev (>= 5.91.0~),
          libkf5contacts-dev (>= 5:5.91.0~),
-         libkf5imap-dev (>= 23.08.1~),
-         libkf5pimtextedit-dev (>= 23.08.1~),
+         libkf5imap-dev (>= 23.08.4~),
+         libkf5pimtextedit-dev (>= 23.08.4~),
          libkf5textwidgets-dev (>= 5.31.0~),
          libkpim5pimcommon5 (= ${binary:Version}),
          libkpim5pimcommonakonadi5 (= ${binary:Version}),
